package com.docus.server.archivefile.infrastructure.entity;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zengdl
 * @website https://el-admin.vip
 * @description /
 * @date 2022-03-28
 **/
@Data
@TableName("af_view_collection_log")
public class AfViewCollectionLog implements Serializable {

    @TableId("id")
    @ApiModelProperty(value = "id")
    private Long id;

    @TableField("jzh")
    @ApiModelProperty(value = "记帐号")
    private String jzh;

    @TableField("sys_code")
    @ApiModelProperty(value = "采集器分类")
    private String sysCode;

    @TableField("file_id")
    @ApiModelProperty(value = "文件id")
    private String fileId;

    @TableField("file_modify_time")
    @ApiModelProperty(value = "文件最后修改时间")
    private String fileModifyTime;

    @TableField("create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    public void copy(AfViewCollectionLog source) {
        BeanUtil.copyProperties(source, this, CopyOptions.create().setIgnoreNullValue(true));
    }
}
