package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchSystemParams;
import com.docus.server.dto.scheduling.management.schsystemparams.AddSchSystemParamsDTO;
import com.docus.server.dto.scheduling.management.schsystemparams.EditSchSystemParamsDTO;
import com.docus.server.dto.scheduling.management.schsystemparams.DeleteSchSystemParamsDTO;
import com.docus.server.vo.scheduling.management.schsystemparams.SchSystemParamsVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 系统参数表 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchSystemParamsConvert {

    SchSystemParamsConvert INSTANCE = Mappers.getMapper(SchSystemParamsConvert.class);

    @Mappings({})
    SchSystemParams convertDO(AddSchSystemParamsDTO addSchSystemParamsDTO);

    @Mappings({})
    SchSystemParams convertDO(EditSchSystemParamsDTO editSchSystemParamsDTO);

    @Mappings({})
    List<SchSystemParams> convertAddDOList(List<AddSchSystemParamsDTO> addSchSystemParamsDTO);

    @Mappings({})
    List<SchSystemParams> convertEditDOList(List<EditSchSystemParamsDTO> editSchSystemParamsDTO);

    @Mappings({})
    SchSystemParamsVO convertVO(SchSystemParams schSystemParams);

    @Mappings({})
    List<SchSystemParamsVO> convertVO(List<SchSystemParams> schSystemParamsList);

    @Mappings({})
    PageResult<SchSystemParamsVO> convertVO(PageResult<SchSystemParams> pageResult);
}

