package com.docus.server.emr.infrastructure.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.constants.DSKeyConstants;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
@DS(DSKeyConstants.EMR_DS_KEY)
public interface EmrDeptMapper {

    List<Map<String, Object>> page(@Param("startDate") Date startDate,
                                   @Param("endDate") Date endDate,
                                   @Param("offset") int offset,
                                   @Param("pageSize") int pageSize);


    List<Map<String, Object>> BatchForJZH(@Param("jzhs") List<String> jzhs);

    List<Map<String, Object>> BatchForJZHAndAdmissTimes(@Param("datas") List<Map<String, Object>> datas);

    List<Map<String, Object>> BatchForZYHAndAdmissTimes(@Param("datas") List<Map<String, Object>> datas);

    List<Map<String, Object>> BatchForEXAMTIME(@Param("datas") List<Map<String, Object>> datas);

}
