package com.docus.server.api.taskdistribute;

import com.docus.server.dto.scheduling.management.schcollector.task.ReportDownTwoDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * 任务平台接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "任务平台接口", tags = "任务平台接口")
@FeignClient(url = "${taskdistribute.api.url:http://222.76.205.50:9296}", name = "collector-scheduling-management.TaskDistributeApi")
@RequestMapping("/api")
public interface TaskDistributeApi {

    @ApiOperation("向客户端发送TCP命令")
    @GetMapping("/noviewtask/GetTask")
    ReportDownTwoDTO getTask(@RequestParam String collectid);

}
