package com.docus.server.dto.scheduling.management.schcollector.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "SchCollectorTaskDTO", description = "下发任务")
public class SchCollectorTaskDTO {

    @ApiModelProperty(value = "采集记录表id")
    private Long collectorRecordId;

    @ApiModelProperty(value = "0：不是重试任务，1：是重试任务")
    private String isRetry;

    @ApiModelProperty(value = "采集器版本id")
    private ReportDownTwoDTO taskInfo;

}
